<?php

defined('_JEXEC') or die;
// Include the syndicate functions only once
require_once __DIR__ . '/helper.php';


$doc = JFactory::getDocument();
$js = <<<JS
    function UpdateTitleserver() {
  request = {
               'option' : 'com_ajax',
               'module' : 'gitplayer',
               'data'   : '',
               'format' : 'raw'
            };
  jQuery.ajax({
       type:'POST',
     data:request,
    complete: function(xhr, textStatus) {
      //called when complete
    },
    success: function(data) {
      console.log(data);
      var tipo=jQuery.parseJSON(data);
      if(tipo.Encendido=="false"){
          clearInterval(Timer);
          jQuery(".Artista").html('<h3 style="margin:0px;">No disponible</h3>');
          jQuery(".Oyentes").html('<span>No disponible</span>');
          jQuery(".Titulo").html('<span style="margin:0px;  title="Titulo">No disponible</span>');
          jQuery(".control-onaironline").addClass('control-onairstop');
      }else{
          TituloMusica=tipo.title;
          if(TituloMusica!=""){
           var arr = TituloMusica.split('-');
           if(arr.length>0){
             jQuery(".Artista").html('<h3 style="margin:0px; title="Artista">'+arr[0]+'</h3>');
             jQuery(".Titulo").html('<span style="margin:0px;  title="Titulo">'+arr[1]+'</span>');
             jQuery(".Oyentes").html('<span>Nº de oyentes: '+tipo.oyentes+'</span>');
            }else{
             jQuery(".Artista").html('<h3 style="margin:0px; title="Artista">'+TituloMusica+'</h3>');
             jQuery(".Titulo").html('<span style="margin:0px;  title="Titulo">No disponible</span>');
             jQuery(".Oyentes").html('<span>Nº de oyentes: '+tipo.oyentes+'</span>');
            }
           }
       }
    },
    error: function(xhr, textStatus, errorThrown) {
      //called when there is an error
    }
  });   
 }
JS;

$doc->addScriptDeclaration($js);




$Configuracion=new modgitplayerHelper();
$Logotipo = $Configuracion->Logotipo($params);
$Ip = $Configuracion->Hostip($params);
$Puerto = $Configuracion->Puerto($params);
$Usuario = $Configuracion->Usuario($params);
$Contrasena = $Configuracion->Congtrasena($params);
$Montaje = $Configuracion->Montaje($params);
$TipoServer = $Configuracion->Tiposerver($params);
$Facebook = $Configuracion->Facebookurl($params);
$Googlemas = $Configuracion->Googleplusurl($params);
$Twitter = $Configuracion->Twitterurl($params);
$RepAutp =$Configuracion->Repauto($params);

require JModuleHelper::getLayoutPath('mod_gitplayer');
?>